---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultAuth
metadata:
  name: ceph-csi-rbd
  namespace: csi-cephrbd
spec:
  method: kubernetes
  mount: k8s/au/syd1
  vaultConnectionRef: vso-system/default
  allowedNamespaces:
    - csi-cephrbd
  kubernetes:
    role: ceph-csi
    serviceAccount: ceph-csi-rbd-csi-rbd-provisioner
    audiences:
      - vault
    tokenExpirationSeconds: 600
